import typing
import numpy as np
import numpy.typing as npt


def retag_elements(file_name: str, tags_file: str, out_file: str) -> None: ...

def insert_element_tags(file_name: str, tags_file: str, out_file: str) -> None: ...

def extract_element_tags(file_name: str, tags_file: str) -> None: ...

def get_element_centers(pnts_file: str, elem_file: str) -> npt.NDArray[np.float64]: ...

def get_mesh_center(pnts_file: str) -> typing.Tuple[float, float, float]: ...

def zero_fibers(elem_file: str, lon_file: int, tags: npt.NDArray[np.int32], out_file: str) -> int: ...

def transform_points(pntsfile: str, out_file: str, center: bool, rotate: typing.Optional[npt.NDArray[np.float64]] = [0.0, 0.0, 0.0], scale: typing.Optional[npt.NDArray[np.float64]] = [1.0, 1.0, 1.0], translate: typing.Optional[npt.NDArray[np.float64]] = [0.0, 0.0, 0.0]) -> npt.NDArray[np.float64]: ...

def get_bounding_box(pnts_file: str) -> npt.NDArray[np.float64]: ...

def mesh_type(elem_file: str) -> int: ...
