import typing
import numpy as np
import numpy.typing as npt


def n2emap_scalar_data(file_name: str, data_file: str, num_nodes: int, tags: typing.Optional[npt.NDArray[np.int32]] = None, default: typing.Optional[float] = 0.0, tag_file: typing.Optional[str] = None) -> npt.NDArray[np.float64]: ...

def n2emap_vector_data(file_name: str, data_file: str, num_nodes: int, tags: typing.Optional[npt.NDArray[np.int32]] = None, default: typing.Optional[float] = 0.0, tag_file: typing.Optional[str] = None) -> npt.NDArray[np.float64]: ...

def get_node_affiliation(file_name: str, num_nodes: int, tag_lv: int, tag_rv: int, tag_la: int, tag_ra: int) -> npt.NDArray[np.int32]: ...

def merge_element_tags(tag_file0: str, tag_file1: str, num_tags: int, tag_file_out: str) -> None: ...

def element_tag2btag(tag_file: str, num_tags: int, btag_file: str) -> None: ...
