import numpy as np
import numpy.typing as npt

def write_points(file_name: str, points: npt.NDArray[np.float64]) -> None: ...

def write_points_bin(file_name: str, points: npt.NDArray[np.float64]) -> None: ...

def write_UVCs(file_name: str, uvcs: npt.NDArray[np.float64]) -> None: ...

def write_elements(file_name: str, type: npt.NDArray[np.int32], tag: npt.NDArray[np.int32], offset: npt.NDArray[np.int32], index: npt.NDArray[np.int32]) -> None: ...

def write_elements_bin(file_name: str, type: npt.NDArray[np.int32], tag: npt.NDArray[np.int32], offset: npt.NDArray[np.int32], index: npt.NDArray[np.int32]) -> None: ...

def write_fibers(file_name: str, fibers: npt.NDArray[np.float64]) -> None: ...

def write_fibers_bin(file_name: str, fibers: npt.NDArray[np.float64]) -> None: ...

def write_scalar_data(file_name: str, data: npt.NDArray[np.float64]) -> None: ...

def write_scalar_data_int(file_name: str, data: npt.NDArray[np.int32]) -> None: ...

def write_vector_data(file_name: str, data: npt.NDArray[np.float64]) -> None: ...

def write_vertex_data(file_name: str, vtx: npt.NDArray[np.int32], domain: str) -> None: ...

def write_element_btags(file_name: str, tags: npt.NDArray[np.int32]) -> None: ...
